//
//  MyPlugin.m
//  App
//
//  Created by Akhmad Al Qindi Irsyam on 27/06/23.
//

#import <Foundation/Foundation.h>
#import <Capacitor/Capacitor.h>
CAP_PLUGIN(NativeCap, "NativeCap",
           CAP_PLUGIN_METHOD(openContactCenter, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(openChat, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(openCall, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(openStreaming, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(openSetOfficer, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(openSettings, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(openContactCenterChat, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(openContactCenterAudioCall, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(openContactCenterVideoCall, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(adminSignIn, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(openScreenSharing, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(openWhiteboard, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(openProfile, CAPPluginReturnPromise);
           )
